Name:		kde-plasma-smooth-tasks
Version:	0.0.1
Release:	0.1.wip20101105%{?dist}
Summary:	KDE taskbar replacement with window peeking ability

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://www.kde-look.org/content/show.php/Smooth+Tasks?content=101586
Source0:	http://www.kde-look.org/CONTENT/content-files/101586-smooth-tasks-src-wip-2010-11-05-1.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gettext, kdebase-workspace-devel
Requires:	kdebase-workspace
Obsoletes:  kde-plasma-stasks < 0.5.1-8

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
This taskbar replacement has window peeking similar to Windows 7 
when you use the kwin 'highlite window' effect. 
Even if this effect is not used you can click the tooltip in order 
to activate the corresponding window.

%prep
%setup -q -n smooth-tasks-src-wip-2010-11-05-1
## Due to the name change this sed is needed for find-lang.
sed -i 's,set(catalogname plasma_applet_smooth-tasks),set(catalogname kde-plasma-smooth-tasks),g' po/CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang %{name} --with-kde

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog README COPYING
%{_kde4_libdir}/kde4/plasma_applet_smooth-tasks.so
%{_kde4_datadir}/kde4/services/plasma-applet-smooth-tasks.desktop


%changelog
* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20101105
- bugfix release

* Mon May 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20100227
- Bugfix release

* Wed Feb 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20100213
- New upstream source

* Thu Feb 11 2010 Sven Lankes <sven@lank.es> 0.0.1-0.1.wip20091206%{?dist}.2
- add obsoletes for kde-plasma-stasks

* Thu Feb 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091206%{?dist}.1
- rebuild for KDE SC 4.4

* Sun Dec 27 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091206
- NEW: also do middle click action on tooltip
- FIX: chinese translation by Weng Xuetian (hurricanek)

* Mon Nov 30 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091126
- New upstream version.
- FIX: taskbar getting stuck issue
- FIX: tiny bit better animation tick time calculation

* Wed Nov 18 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091116
- New upstream version
- FIXES: text placement (more like the original taskbar does it)

* Wed Nov 11 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.1-0.1.wip20091111
- Initial Fedora release
